> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/api/ja/guang-gao-pei-zhi-api.md).

# 広告配置API

Ad Placement API を使うと、パブリッシャーは独自の広告タグを作成できます。これを使って広告リクエストを生成し、広告を表示するために必要なすべてのデータを受け取ることができます。

Ad Placement API は現在、デスクトップとモバイルの両方で以下のフォーマットに対応しています： **バナー**, **固定バナー**, **インスタントメッセージ**, **フルページインタースティシャル**, **アウトストリーム**, **ビデオスライダー**, **ネイティブ広告**, **ページ内プッシュ通知** & **マルチフォーマット広告**.

エンドポイントとして使用する URL は以下のとおりです：

* <http://s.pemsrv.com/v1/api.php> は **フルページインタースティシャル** リクエスト用。
* <http://s.magsrv.com/v1/api.php> は **その他すべての広告フォーマット**.

リクエストとレスポンスは JSON 形式です。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.exoclick.com/api/ja/guang-gao-pei-zhi-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
